Bug 192074 - zope error in startup.py
zope error in startup.py
Product: Fedora
Classification: Fedora
Component: zope (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-17 08:49 EDT by jose carlos senciales
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-04 13:11:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jose carlos senciales 2006-05-17 08:49:25 EDT
Description of problem:
you obtain a error <Fault -1: u"Unexpected Zope exception: exceptions.NameError
- global name 'LOG' is not defined">

Version-Release number of selected component (if applicable):
zope-2.8.5-1.fc5.i386 actually downloaded with yum 17 may 2006

How reproducible:

 this error can be obtain easylly

Steps to Reproduce:
Actual results:
a error

Expected results:

no errors

Additional info:
the error is in the file ' "/usr/lib/zope/lib/python/Zope2/App/startup.py", line
284, 'that is used to Initialize the Zope2 Package and provide a published module.

you must add a line to import LOG like this and the error is solved.

from zLOG import LOG, WARNING, INFO, BLATHER, log_time

or if you want to change the line 283 to call another function in logging module.

 LOG('AccessControl', WARNING,
                    'A user object of type %s has no aq_parent.'
                    % str(type(auth_user)))

Comment 1 Jonathan Steffan 2006-11-22 19:49:27 EST
Zope was updated a long time ago. Is this still an issue? 
FC5 should now have zope 2.9.4.
Comment 2 Jonathan Steffan 2007-01-04 13:11:45 EST
Due to a non-response I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.